# TdApi.StatisticalGraphData (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: StatisticalGraphData

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StatisticalGraphData

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StatisticalGraph
it.tdlight.jni.TdApi.StatisticalGraphData

Enclosing class:
  TdApi

public static final class TdApi.StatisticalGraphData extends TdApi.StatisticalGraph
A graph data.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`jsonData`
Graph data in JSON format.
`String`
`zoomToken`
If non-empty, a token which can be used to receive a zoomed in graph.

## Constructor Summary

Constructors
Constructor
Description
`StatisticalGraphData()`
A graph data.
`StatisticalGraphData(DataInput input)`
A graph data.
`StatisticalGraphData(String jsonData, String zoomToken)`
A graph data.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### jsonData

public String jsonData
Graph data in JSON format.

### zoomToken

public String zoomToken
If non-empty, a token which can be used to receive a zoomed in graph.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### StatisticalGraphData

public StatisticalGraphData()
A graph data.

### StatisticalGraphData

public StatisticalGraphData(String jsonData, String zoomToken)
A graph data.

Parameters:
  `jsonData` - String Graph data in JSON format.
  `zoomToken` - String If non-empty, a token which can be used to receive a zoomed in graph.

### StatisticalGraphData

public StatisticalGraphData(DataInput input) throws IOException
A graph data.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`